## ostree-version

ostree-version — ostree version checking

## Functions

#define | OSTREE_CHECK_VERSION()

## Types and Values

#define | OSTREE_YEAR_VERSION
#define | OSTREE_RELEASE_VERSION
#define | OSTREE_VERSION
#define | OSTREE_VERSION_S
#define | OSTREE_VERSION_HEX

## Description

ostree provides macros to check the version of the library at compile-time

## Functions

### OSTREE_CHECK_VERSION()

    #define             OSTREE_CHECK_VERSION(year,release)

Compile-time version checking. Evaluates to `TRUE` if the version of ostree is equal or greater than the required one.

#### Parameters

year | required year version |
release | required release version |

Since: 2017.4

## Types and Values

### OSTREE_YEAR_VERSION

    #define OSTREE_YEAR_VERSION (2026)

ostree year version component (e.g. 2017 if `OSTREE_VERSION` is 2017.2)

Since: 2017.4

### OSTREE_RELEASE_VERSION

    #define OSTREE_RELEASE_VERSION (1)

ostree release version component (e.g. 2 if `OSTREE_VERSION` is 2017.2)

Since: 2017.4

### OSTREE_VERSION

    #define OSTREE_VERSION (2026.1)

ostree version.

Since: 2017.4

### OSTREE_VERSION_S

    #define OSTREE_VERSION_S "2026.1"

ostree version, encoded as a string, useful for printing and concatenation.

Since: 2017.4

### OSTREE_VERSION_HEX

    #define             OSTREE_VERSION_HEX

ostree version, encoded as an hexadecimal number, useful for integer comparisons.

Since: 2017.4